- Main Page
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

# nikonmn.hpp File Reference

Nikon MakerNote formats. More...

`#include "types.hpp"`
`#include "makernote.hpp"`
`#include "tags.hpp"`
`#include <string>`
`#include <iosfwd>`
`#include <memory>`

Include dependency graph for nikonmn.hpp:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | Exiv2
## Classes
class | Exiv2::Nikon1MakerNote
| A MakerNote format used by Nikon cameras, such as the E990 and D1. More...
class | Exiv2::Nikon2MakerNote
| A second MakerNote format used by Nikon cameras, including the E700, E800, E900, E900S, E910, E950. More...
class | Exiv2::Nikon3MakerNote
| A third MakerNote format used by Nikon cameras, e.g., E5400, SQ, D2H, D70. More...
## Functions
MakerNote::AutoPtr | Exiv2::createNikonMakerNote (bool alloc, const byte *buf, long len, ByteOrder byteOrder, long offset)
| Return an auto-pointer to a newly created empty MakerNote initialized to operate in the memory management model indicated. The caller owns this copy and the auto-pointer ensures that it will be deleted.

## Detailed Description

Nikon MakerNote formats.

The Nikon MakerNote formats are implemented according to the following references
Format 1:

- MakerNote EXIF Tag of the Nikon 990 by Max Lyons

Format 2:

- "Appendix 2: Makernote of Nikon" of the document Exif file format by TsuruZoh Tachibanaya

Format 3:

- "EXIFutils Field Reference Guide"
- Nikon Type 3 Makernote Tags Definition of the PHP JPEG Metadata Toolkit by Evan Hunter
- Nikon tag information from ExifTool by Phil Harvey
- Email communication with Robert Rottmerhusen

Version:
  Rev
    669

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

Date:
  17-May-04, ahu: created
  25-May-04, ahu: combined all Nikon formats in one component